Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.state
Interface LayoutManager

All Known Implementing Classes:
  PerspectiveManager

    public interface LayoutManager

Author:
  Christopher Butler

Method Summary
`LayoutNode` | `createLayout(DockingPort port)`
`boolean` | `display(Dockable dockable)`
`String` | `getDefaultPersistenceKey()`
`DockingState` | `getDockingState(Dockable dockable)`
`DockingState` | `getDockingState(String dockableId)`
`FloatManager` | `getFloatManager()`
`boolean` | `load()`
`boolean` | `load(String persistenceKey)`
`boolean` | `restore(boolean loadFromStorage)`
`void` | `setDefaultPersistenceKey(String key)`
`boolean` | `store()`
`boolean` | `store(String persistenceKey)`

Method Detail

### getDockingState

    DockingState getDockingState(String dockableId)

### getDockingState

    DockingState getDockingState(Dockable dockable)

### getFloatManager

    FloatManager getFloatManager()

### createLayout

    LayoutNode createLayout(DockingPort port)

### display

    boolean display(Dockable dockable)

### store

    boolean store()
                  throws IOException,
                         PersistenceException

  Throws:
    `IOException`
    `PersistenceException`

### store

    boolean store(String persistenceKey)
                  throws IOException,
                         PersistenceException

  Throws:
    `IOException`
    `PersistenceException`

### load

    boolean load()
                 throws IOException,
                        PersistenceException

  Throws:
    `IOException`
    `PersistenceException`

### load

    boolean load(String persistenceKey)
                 throws IOException,
                        PersistenceException

  Throws:
    `IOException`
    `PersistenceException`

### restore

    boolean restore(boolean loadFromStorage)
                    throws IOException,
                           PersistenceException

  Throws:
    `IOException`
    `PersistenceException`

### getDefaultPersistenceKey

    String getDefaultPersistenceKey()

### setDefaultPersistenceKey

    void setDefaultPersistenceKey(String key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD